#include "Communication_Over_CAN.h"
#include "ODOReset.h"
#include "Services_ODO.h"
#include "UDS_Common.h"
#include "Service_Time.h"
#include "CAN_Lib.h"

#pragma pack(8)
uint32_t pRXBuff [ CAN_RX_MSG_Block * ID_TOTAL_MAX ];
#pragma pack( )
#pragma pack(8)
static uint32_t pTXBuff [ CAN_TX_MSG_Block * ID_SEND_TOTAL ];
#pragma pack( )

void CoCan_StatusInit(void)
{
}
void CoCan_BufInit(void)
{
}

void CoCAN_CanVal_Init(void)
{
    Can_TX_BuffInit(( uint8_t * )pTXBuff, st_CANSendAttr, ID_SEND_TOTAL, Can_Write_0);
    Can_RX_BuffInit(( uint8_t * )pRXBuff, CAN_MSG_CONST_ARRAY, ID_TOTAL_MAX);
    CAN_TX_SetEnable(0x55);
}
